CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=2400

# Debug options
CONFIG_LOG=y
CONFIG_LOG_BACKEND_RTT=y
CONFIG_LOG_BACKEND_RTT_MODE_OVERWRITE=y
CONFIG_LOG_PRINTK=y
CONFIG_LOG_MODE_IMMEDIATE=y
CONFIG_LOG_MODE_DEFERRED=n

CONFIG_DEBUG=y
#CONFIG_ASSERT=n
CONFIG_ASSERT=y
# For size savings - if code barely fits
#CONFIG_ASSERT_NO_MSG_INFO=y
#CONFIG_ASSERT_NO_COND_INFO=y
CONFIG_DEBUG_INFO=y
CONFIG_DEBUG_THREAD_INFO=y
CONFIG_EXCEPTION_STACK_TRACE=y
CONFIG_EXTRA_EXCEPTION_INFO=y
#CONFIG_DEBUG_COREDUMP=y
#CONFIG_DEBUG_COREDUMP_BACKEND_LOGGING=y
CONFIG_THREAD_NAME=y
#CONFIG_THREAD_MONITOR=y

# Runs out of code space often, not very useful
CONFIG_STACK_CANARIES=y

CONFIG_INIT_STACKS=y

CONFIG_USE_SEGGER_RTT=y
CONFIG_SEGGER_RTT_CUSTOM_LOCKING=y
CONFIG_SEGGER_RTT_MODE_NO_BLOCK_TRIM=y
#CONFIG_SEGGER_RTT_SECTION_DTCM=y
CONFIG_SEGGER_RTT_BUFFER_SIZE_UP=2048
CONFIG_RTT_CONSOLE=y
CONFIG_CONSOLE_SUBSYS=y
CONFIG_CONSOLE=y
#CONFIG_BT_DFU_SMP=y
CONFIG_RESET_ON_FATAL_ERROR=n
# Generally not very useful, but may catch some corruption
CONFIG_SYS_HEAP_VALIDATE=y
CONFIG_SPEED_OPTIMIZATIONS=n
CONFIG_DEBUG_OPTIMIZATIONS=y
CONFIG_MISRA_SANE=y
# Tons of useless spam as Zephyr is not quite following them
# We need this enabled only for our code
#CONFIG_CODING_GUIDELINE_CHECK=y

#CONFIG_LOG_DEFAULT_LEVEL=2
CONFIG_MODEM_LOG_LEVEL_DBG=y
CONFIG_MODEM_NRF9160_SLM_RX_STACK_SIZE=2048
CONFIG_MODEM_NRF9160_SLM_WORKQ_STACK_SIZE=4096
# A lot of spam about sending commands
CONFIG_MODEM_CONTEXT_VERBOSE_DEBUG=y
